/*
 * Copyright (c) 2010-2011, The MiCode Open Source Community (www.micode.net)
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *        http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package net.micode.notes.ui;

import android.content.Context;
import android.view.Menu;
import android.view.MenuItem;
import android.view.View;
import android.view.View.OnClickListener;
import android.widget.Button;
import android.widget.PopupMenu;
import android.widget.PopupMenu.OnMenuItemClickListener;

import net.micode.notes.R;

public class DropdownMenu {
    private Button mButton; // 下拉菜单所在的按钮
    private PopupMenu mPopupMenu; // 下拉菜单所在的按钮
    private Menu mMenu;// 菜单对象

    /**
     * 构造方法，用于创建一个 DropdownMenu 对象。
     * @param context 上下文对象
     * @param button 包含下拉菜单的按钮
     * @param menuId 菜单资源 ID
     */
    public DropdownMenu(Context context, Button button, int menuId) {
        mButton = button;
        mButton.setBackgroundResource(R.drawable.dropdown_icon);
        mPopupMenu = new PopupMenu(context, mButton);
        mMenu = mPopupMenu.getMenu();
        mPopupMenu.getMenuInflater().inflate(menuId, mMenu);
        mButton.setOnClickListener(new OnClickListener() {// 为按钮设置点击监听器，单击时显示弹出菜单
            public void onClick(View v) {
                mPopupMenu.show();
            }
        });
    }

    public void setOnDropdownMenuItemClickListener(OnMenuItemClickListener listener) {
        if (mPopupMenu != null) {
            mPopupMenu.setOnMenuItemClickListener(listener);
        }
    } /**
     * 设置下拉菜单项的点击监听器。
     * 下拉菜单项的点击监听器
     */

    public MenuItem findItem(int id) {
        return mMenu.findItem(id);
    }
    /**
     * 根据菜单项 ID 查找对应的菜单项并返回它的对象。
     * id 菜单项 ID
     * @return 对应的菜单项对象，如果未找到则返回 null。
     */

    public void setTitle(CharSequence title) {
        mButton.setText(title);
    }
    /**
     * 设置下拉菜单的标题。
     * @param title 下拉菜单的标题
     */
}
    /**
     * DropdownMenu 类，用于创建下拉菜单。
     */
